<link rel="stylesheet" href="15R22.css" type="text/css">
<?php
error_reporting(0);
if (ISSET($_POST['start']))
{
// Funktion Zufallszahl
  function zufallszahl($unten,$n)
  {
    $x=round(rand($unten,$n));
    return $x;
  }
// Funktion Punkte berechnen
function punkte($i,$a,$b,$c,$d,$e)
{
  $p=$a+$b;
  if ($a==10)
    {
      if ($c!=10) $p=$p+$c+$d; else $p=$p+$c+$e;
    }
  else if (($a+$b)==10)
    {
      $p=$p+$c;
    }
  return $p;
}

// Simulation ausführen
  $s[0]=0;
  for ($i=1;$i<=10;$i++)
  {
    $w[$i][1]=zufallszahl(7,10);
    $a[$i][1]=$w[$i][1];
    $w[$i][2]=zufallszahl(0,10-$w[$i][1]);
    $a[$i][2]=$w[$i][2];
    if ($w[$i][1]==10)
    {
      $a[$i][1]="X";
      $a[$i][2]="";
    }
    else if (($w[$i][1]+$w[$i][2])==10) $a[$i][2]="/";
  }
  for ($i=1;$i<=10;$i++)
      $s[$i]=$s[$i-1]+punkte($i,$w[$i][1],$w[$i][2],$w[$i+1][1],$w[$i+1][2],$w[$i+2][1]);

}
echo "<form action='15R22ef.php' method='post'>";
echo "<table>";
echo "<tr><td>&nbsp;</td><td>1. Wurf </td><td>2. Wurf </td><td>Summe </td>";
for ($i=1;$i<=10;$i++)
  {
    echo "<tr><td>".$i.". Frame: </td>";
    echo "<td><input type='Text' name='w".$i."1' value='".$a[$i][1]."'></td>";
    echo "<td><input type='Text' name='w".$i."2' value='".$a[$i][2]."'></td>";
    echo "<td><input type='Text' name='s".$i."'  value='".$s[$i]."'></td></tr>";
  }
echo "</table><br>";
echo "<input class='button' type='Submit' name='start' value='Starte Simulation'>";
echo "</form>";
?>